Name:		schbench
# the archive hasn't really a version yet; by convention we adopt 0.0.1
Version:	0.0.1
Release:	%mkrel 3
Summary:	A thread latency tester/benchmarking tool
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://git.kernel.org/pub/scm/linux/kernel/git/mason/schbench.git
# generate from git above with git archive -o ../schbench-<version>.tar --prefix=schbench-<version>/ HEAD
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	kernel-userspace-headers
ExclusiveArch:	%{ix86} x86_64

%description
schbench is a tool meant to be used for benchmarking threads latency in a kernel.

%prep
%setup -q

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 755 ./schbench %{buildroot}%{_bindir}/

%files
%{_bindir}/schbench



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.0.1-3.mga8
+ Revision: 1525280
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Apr 12 2019 ghibo <ghibo> 0.0.1-2.mga7
+ Revision: 1389343
- ExclusiveArch to %%{ix86}, x86_64.
- imported package schbench


* Fri Apr 12 2019 ghibo <ghibo> 0.0.1-1.mga7
- Initial release
